Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 455373 (CVE-2008-3215) - CVE-2008-3215 clamav: DoS / crash via crafted petite file (incomplete fix of CVE-2008-2713)
Summary: CVE-2008-3215 clamav: DoS / crash via crafted petite file (incomplete fix of ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2008-3215
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 07:06 UTC by Tomas Hoger
Modified: 2019-09-29 12:25 UTC (History)
3 users (show)

Fixed In Version: 0.93.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-17 14:15:39 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2008-07-15 07:06:55 UTC
According to Secunia / clamav upstream, fix for CVE-2008-2713 as originally used
in clamav 0.93.1 (see bug bug #451761) was incomplete:

  https://wwws.clamav.net/bugzilla/show_bug.cgi?id=1000#c4

Following fix is mentioned in the 0.93.2 changelog:

Thu Jul  3 16:15:23 CEST 2008
-----------------------------
  * libclamav/petite.c: fix another out of bounds memory read (bb#1000)
                        Reported by Secunia (CVE-2008-2713)

References:
http://www.openwall.com/lists/oss-security/2008/07/08/5
http://lurker.clamav.net/message/20080707.155612.ad411b00.en.html

Comment 2 Robert Scheck 2008-07-15 07:42:49 UTC
AFAIK this is fixed since 0.93.3, isn't it?

39562 (clamav): Build on target fedora-4-epel succeeded.
39561 (clamav): Build on target fedora-5-epel succeeded.

Comment 3 Tomas Hoger 2008-07-15 08:02:24 UTC
Yes, no problem for EPEL.  Created this bug so that it can be referred from
Bodhi update request for F-8/F-9.

Comment 4 Fedora Update System 2008-07-15 12:13:09 UTC
clamav-0.93.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6338

Comment 5 Fedora Update System 2008-07-17 14:15:27 UTC
clamav-0.93.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-07-17 14:17:03 UTC
clamav-0.92.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Tomas Hoger 2008-07-21 08:21:13 UTC
CVE-2008-3215:
libclamav/petite.c in ClamAV before 0.93.3 allows remote attackers to
cause a denial of service via a malformed Petite file that triggers an
out-of-bounds memory access.  NOTE: this issue exists because of an
incomplete fix for CVE-2008-2713.


Note You need to log in before you can comment on or make changes to this bug.